Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569424 (CVE-2018-1172) - CVE-2018-1172 squid: Incorrect pointer handling when processing ESI responses allows denial of service
Summary: CVE-2018-1172 squid: Incorrect pointer handling when processing ESI responses...
Keywords:
Status: NEW
Alias: CVE-2018-1172
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1570082
Blocks: 1569427
TreeView+ depends on / blocked
 
Reported: 2018-04-19 09:22 UTC by Adam Mariš
Modified: 2021-06-10 15:53 UTC (History)
5 users (show)

Fixed In Version: squid 4.0.13
Doc Type: If docs needed, set a value
Doc Text:
it was found that Squid, when used as a reverse proxy, did not handle ESI responses properly. A malicious web server could use this flaw to crash Squid.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Adam Mariš 2018-04-19 09:22:08 UTC
Due to incorrect pointer handling Squid is vulnerable to denial of service attack when processing ESI responses. This problem allows a remote server delivering ESI responses to trigger a denial of service for all clients accessing the Squid service. This problem is limited to Squid operating as reverse proxy.

Affected versions: Squid 3.1.12.2 -> 3.1.23, Squid 3.2.0.8 -> 3.2.14, Squid 3.3 -> 4.0.12

Fixed in version: Squid 4.0.13

External References:

http://www.squid-cache.org/Advisories/SQUID-2018_3.txt

Comment 1 Cedric Buissart 2018-04-20 15:23:00 UTC
Statement:

This issue affects the versions of squid and squid34 as shipped with Red Hat Enterprise Linux 6. Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.